dotnet-nuget-config-get(1)

dotnet nuget config get

This article applies to: ✔️ .NET 8.0.2xx SDK and later versions

NAME

dotnet-nuget-config-get - Gets the NuGet configuration settings that will be applied.

SYNOPSIS

    dotnet nuget config get <ALL | CONFIG_KEY> [--show-path] [--working-directory <DIRECTORY>]

    dotnet nuget config get -h|--help

DESCRIPTION

The dotnet nuget config get Gets the NuGet configuration settings that will be applied from the config section.

ARGUMENTS

•   ALL

    Get all merged NuGet configuration settings from multiple NuGet configuration files that will be applied, when invoking NuGet command from the working directory path.

•   CONFIG_KEY

    Get the effective value of the specified configuration settings of the config section.

OPTIONS

•   --show-path

    Indicate that the NuGet configuration file path will be shown beside the configuration settings.

•   --working-directory <DIRECTORY>

    Specifies the directory to start from when listing configuration files. If not specified, the current directory is used.

•   -?|-h|--help

    Prints out a description of how to use the command.

EXAMPLES

•   Lists all the Nuget configuration settings being applied to the current directory:

        dotnet nuget config get all

•   Lists the repositoryPath value from the config section being applied to the specified directory:

        dotnet nuget config get repositoryPath --working-directory "C:/working-directory"

SEE ALSO

•   nuGet.config reference